<?php

namespace Teknisa\SM\Util\Procedure;

use Doctrine\DBAL\Connection;
use \Zeedhi\Framework\DB\StoredProcedure\StoredProcedure;
use \Zeedhi\Framework\DB\StoredProcedure\Param;

class FctRefMvCcustoContrato {
    
    const NOME = "FCT_REF_MV_CCUSTO_CONTRATO";
    private $connection;
    
    public function __construct(Connection $connection) {
        $this->connection = $connection;
    }
    
    /**
     * Executa a procedure FCT_REF_MV_CCUSTO_CONTRATO.
     */
    public function executar() {
        $procedure = new StoredProcedure($this->connection, self::NOME);
        $procedure->execute();
    }
    
}

?>

